# Gimp.airbrush

    @accepts(Gimp.Drawable, float, gsize, [float])
    @returns(bool)
    def airbrush(drawable, pressure, num_strokes, strokes):
        # Python wrapper for gimp_airbrush()

Paint in the current brush with varying pressure. Paint application is time-dependent.

This tool simulates the use of an airbrush. Paint pressure represents the relative intensity of the paint application. High pressure results in a thicker layer of paint while low pressure results in a thinner layer.

drawable

  The affected drawable.

pressure

  The pressure of the airbrush strokes.

num_strokes

  Number of stroke control points (count each coordinate as 2 points).

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns